import React from "react";
export declare type TypePlacement = "top" | "bottom" | "left" | "right";
export declare type TypeTrigger = "hover" | "focus" | "click" | "manual";
interface ITooltipBase {
    tooltipContent?: string | React.ReactNode;
    tooltipClassName?: string;
    limitWidth?: boolean;
    delayShow?: number | string;
    display?: "fade" | "zoom";
    backgroundColor?: string;
    tooltipColor?: string;
    centerArrow?: boolean;
    placement?: TypePlacement;
    top?: boolean;
    bottom?: boolean;
    left?: boolean;
    right?: boolean;
}
export interface ITooltipProps extends ITooltipBase {
    tagName?: string;
    trigger?: TypeTrigger;
    handleClick?: (event: any) => any;
    handleMouseEnter?: (event: any) => any;
    handleMouseLeave?: (event: any) => any;
    onClick?: (event: any) => any;
    onMouseEnter?: (event: any) => any;
    onMouseLeave?: (event: any) => any;
    onShown?: () => any;
    onHidden?: (show?: boolean) => any;
    mouseWheel?: boolean;
    shareContext?: boolean;
    open?: boolean;
    showSync?: boolean;
    hideIfResize?: boolean;
    hideIfScroll?: boolean;
    forceHide?: any;
}
interface ITemplateProps extends ITooltipBase {
    tooltipId: string;
    isShow?: boolean;
    target?: any;
    resizeSize?: any;
    setTooltipElement: (element?: any) => void;
}
declare const _default: React.NamedExoticComponent<ITemplateProps>;
export default _default;
